{% extends "combio_app/base.html" %} {% load i18n %} {% load account socialaccount
%} {% load static %}{% block container %}
<div class="grid h-screen">
  <form method="post" action="{% url 'account_login' %}">
    {% csrf_token %}

    <div
      class="w-[520px] px-8 py-6 m-auto bg-white bg-neutral-200"
    >
      <div>
        <div class="mt-4">
          <div class="grid grid-cols-12 mb-8 mt-8">
            <div class="col-span-1"></div>
            <div class="col-span-3 place-content-right">
              <img
                class="object-contain w-24 place-self-right"
                src="{% static 'combio_app/images/mpiwg_logo_single.png' %}"
              />
            </div>
            <div class="col-span-7 text-l flex h-full">
              <div class="place-self-center">
                <div class="w-full font-bold pl-4">
                  MAX-PLANCK INSTITUTE FOR THE HISTORY OF SCIENCE
                </div>
                <span class="w-full pl-4 italic">Commoning Biomedicine</span>
              </div>
            </div>
            <div class="col-span-1"></div>
          </div>
          <span class="text-3xl mb-6 text-mpiwg-green text-center">Login</span><br/><br/>
          <!--<span>
            If you have not created an account yet, then please
            <a href="{{ signup_url }}" class="underline text-mpiwg-green">register</a> first.
          </span>!-->
          <span>Welcome to the Combio website. If you do not have an account and wish to be granted access to our platform, please <a class="underline text-mpiwg-green" href="{% url 'account_signup' %}">sign up</a>.</span>
          <div class="mt-4">
            <span class="italic text-red-500"
              >{{ form.non_field_errors | safe }}</span
            >
            <label class="block mt-4 font-bold" for="email">Username</label>
            <span class="italic text-red-500"
              >{{ form.login.errors | safe }}</span
            >
            <input
              type="text"
              placeholder="Username"
              id="id_login"
              required
              name="login"
              placeholder="Username"
              autofocus
              {% if form.login.value %}
              value="{{form.login.value}}"
              {% endif %}
              class="w-full px-4 py-2 mt-2 border rounded-md focus:outline-none focus:ring-1 focus:ring-grey-600"
            />
          </div>
          <div class="mt-4">
            <label class="block font-bold">Password</label>
            <span class="italic text-red-500"
              >{{ form.password.errors | safe }}</span
            >
            <input
              type="password"
              id="id_password"
              name="password"
              required
              placeholder="Password"
              {% if form.password.value %}
              value="{{form.password.value}}"
              {% endif %}
              class="w-full px-4 py-2 mt-2 border rounded-md focus:outline-none focus:ring-1 focus:ring-blue-600"
            />
          </div>
          <div class="mt-4 items-center flex">
            <input
              type="checkbox"
              checked="true"
              class="mr-2 checked:bg-mpiwg-green rounded border border-grey-200"
              name="remember"
              id="id_remember"
            />
            <label for="id_remember">Remember Me</label>
          </div>
          <div class="flex items-baseline justify-between mt-6">
            <button
              class="inline-flex items-center text-white self-center shadow-md shadow-inner float-right bg-mpiwg-green hover:bg-mpiwg-light-green hover:text-mpiwg-green focus:ring-4 focus:outline-none focus:mpiwg-green font-medium rounded text-sm px-4 py-2"
              type="submit"
            >
              Login
            </button>
            <a href="/accounts/password/reset/" class="text-mpiwg-green underline">Forgot password?</a>
          </div>
        </div>
      </div>
    </div>
  </form>
  {% endblock %}
</div>
